%global fontname artwiz-aleczapka
%global fontconf 60-%{fontname}

%define _fontdir %{_datadir}/fonts
%define _fontconfig_confdir %{_sysconfdir}/fonts/conf.d
%define _fontconfig_templatedir %{_datadir}/fontconfig/conf.avail

Name:		%{fontname}-fonts
Version:	1.3
Release:	1
Summary:	Very small futuristic font family
Group:		User Interface/X
License:	GPLv2
URL:		http://artwizaleczapka.sourceforge.net/

Source0:	http://dl.sf.net/artwizaleczapka/%{fontname}-en-sources-%{version}.tar.bz2
Source1:	http://dl.sf.net/artwizaleczapka/%{fontname}-de-sources-%{version}.tar.bz2
Source2:	http://dl.sf.net/artwizaleczapka/%{fontname}-se-sources-%{version}.tar.bz2
Source3:	%{name}-anorexia-fontconfig.conf
Source4:	%{name}-aqui-fontconfig.conf
Source5:	%{name}-cure-fontconfig.conf
Source6:	%{name}-drift-fontconfig.conf
Source7:	%{name}-edges-fontconfig.conf
Source8:	%{name}-fkp-fontconfig.conf
Source9:	%{name}-gelly-fontconfig.conf
Source10:	%{name}-glisp-fontconfig.conf
Source11:	%{name}-kates-fontconfig.conf
Source12:	%{name}-lime-fontconfig.conf
Source13:	%{name}-mints-mild-fontconfig.conf
Source14:	%{name}-mints-strong-fontconfig.conf
Source15:	%{name}-nu-fontconfig.conf
Source16:	%{name}-smoothansi-fontconfig.conf
Source17:	%{name}-snap-fontconfig.conf

Patch0:		%{fontname}-fkp-cleanups.patch
Patch1:		%{name}-%{version}-fix-makepcf.patch

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:	noarch
Requires:	fontconfig

%description
Artwiz is a family of very small futuristic fonts, with varying styles of
typefaces designed at a single pixel size. The minimal nature of the
fonts makes them popular with users of lightweight window managers. These
fonts have been updated by Alec Zapka to be compatible with modern
software and support an extended character set.

The following fonts in three encodings, English, German, and Swedish are
available:
 * Anorexia font in Artwiz family
 * Aqui font in Artwiz family
 * Cure font in Artwiz family
 * Drift font in Artwiz family
 * Edges font in Artwiz family
 * Fkp font in Artwiz family
 * Gelly font in Artwiz family
 * Glisp fonts in Artwiz family
 * Kates font in Artwiz family
 * Lime font in Artwiz family
 * Mints Mild font in Artwiz family
 * Mints Strong font in Artwiz family
 * Nu font in Artwiz family
 * Smoothansi font in Artwiz family
 * Snap font in Artwiz family


%prep
%setup -q -c %{name}-%{version} -a1 -a2
%patch0 -p0
%patch1 -p1 -b .fix-makepcf


%build
for lang in de en se; do
    cd %{fontname}-${lang}-sources-%{version}
    sh makepcf.sh
    cd ..
done


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

mkdir -p ${RPM_BUILD_ROOT}%{_fontdir}/%{fontname}
chmod 0755 ${RPM_BUILD_ROOT}%{_fontdir}/%{fontname}

for lang in de en se; do
    cp %{fontname}-${lang}-sources-%{version}/*.pcf ${RPM_BUILD_ROOT}%{_fontdir}/%{fontname}/
done

gzip --best ${RPM_BUILD_ROOT}%{_fontdir}/%{fontname}/*.pcf
chmod 0644 ${RPM_BUILD_ROOT}%{_fontdir}/%{fontname}/*

mkdir -p ${RPM_BUILD_ROOT}%{_fontconfig_confdir}
mkdir -p ${RPM_BUILD_ROOT}%{_fontconfig_templatedir}

cp %{SOURCE3}  ${RPM_BUILD_ROOT}%{_fontconfig_templatedir}/%{fontconf}-anorexia.conf
cp %{SOURCE4}  ${RPM_BUILD_ROOT}%{_fontconfig_templatedir}/%{fontconf}-aqui.conf
cp %{SOURCE5}  ${RPM_BUILD_ROOT}%{_fontconfig_templatedir}/%{fontconf}-cure.conf
cp %{SOURCE6}  ${RPM_BUILD_ROOT}%{_fontconfig_templatedir}/%{fontconf}-drift.conf
cp %{SOURCE7}  ${RPM_BUILD_ROOT}%{_fontconfig_templatedir}/%{fontconf}-edges.conf
cp %{SOURCE8}  ${RPM_BUILD_ROOT}%{_fontconfig_templatedir}/%{fontconf}-fkp.conf
cp %{SOURCE9}  ${RPM_BUILD_ROOT}%{_fontconfig_templatedir}/%{fontconf}-gelly.conf
cp %{SOURCE10} ${RPM_BUILD_ROOT}%{_fontconfig_templatedir}/%{fontconf}-glisp.conf
cp %{SOURCE11} ${RPM_BUILD_ROOT}%{_fontconfig_templatedir}/%{fontconf}-kates.conf
cp %{SOURCE12} ${RPM_BUILD_ROOT}%{_fontconfig_templatedir}/%{fontconf}-lime.conf
cp %{SOURCE13} ${RPM_BUILD_ROOT}%{_fontconfig_templatedir}/%{fontconf}-mints-mild.conf
cp %{SOURCE14} ${RPM_BUILD_ROOT}%{_fontconfig_templatedir}/%{fontconf}-mints-strong.conf
cp %{SOURCE15} ${RPM_BUILD_ROOT}%{_fontconfig_templatedir}/%{fontconf}-nu.conf
cp %{SOURCE16} ${RPM_BUILD_ROOT}%{_fontconfig_templatedir}/%{fontconf}-smoothansi.conf
cp %{SOURCE17} ${RPM_BUILD_ROOT}%{_fontconfig_templatedir}/%{fontconf}-snap.conf

for f in anorexia aqui cure drift edges fkp gelly glisp kates lime \
         mints-mild mints-strong nu smoothansi snap ; do
    x=%{fontconf}-${f}.conf
    ln -s %{_fontconfig_templatedir}/${x} ${RPM_BUILD_ROOT}%{_fontconfig_confdir}/${x}
done
chmod 0644 ${RPM_BUILD_ROOT}%{_fontconfig_templatedir}/*.conf


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
# generic docs are the same for every lang (AUTHORS has all info in german dir
# so use it from german font dir)
%doc %{fontname}-de-sources-1.3/AUTHORS
%doc %{fontname}-de-sources-1.3/COPYING
%doc %{fontname}-de-sources-1.3/README
%doc %{fontname}-de-sources-1.3/VERSION
%doc %{fontname}-de-sources-1.3/README.DE
%doc %{fontname}-se-sources-1.3/README.SE
%{_fontconfig_confdir}/*-%{fontname}-*.conf
%{_fontconfig_templatedir}/*-%{fontname}-*.conf
%dir %{_fontdir}/%{fontname}
%{_fontdir}/%{fontname}/*.pcf*


%changelog
* Wed Mar 16 2011 Michael Perzl <michael@perzl.org> - 1.3-1
- first version for AIX V5.1 and higher
